# jobs.get

Get truthful asynchronous processing status by jobId.

`GET | POST /api/v1/accounting/jobs.get`

Permissions: `accounting:read` · Roles: admin, finance, contributor

MCP tool: `accounting_processing_status`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `jobId` | string (ID) | Yes | The ID of a background job, returned when the work was started. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/jobs.get \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'jobId=4d5e6f7a-8b9c-4d0e-8f1a-2b3c4d5e6f7a'
```

## Example response

```json
{
  "data": {
    "id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
    "submission_id": "4d5e6f7a-8b9c-4d0e-8f1a-2b3c4d5e6f7a",
    "status": "completed",
    "stage": "match",
    "generation": 1,
    "attempts": 1,
    "error_code": null,
    "next_attempt_at": "2026-09-30T14:00:05Z"
  }
}
```

Reference page: https://app.getoatmilk.com/docs/api/jobs.get
